# express-unibrow

An [expressjs][] app for browsing and searching unicode code points. Unicode
data comes from the [Unicode Consortium][].

You can install this app using `npm`:

    $ npm install lmj-unibrow

Then either run the server (`coffee main.coffee`) or include it in your express
server:

    app.use('/unicode', require('lmj-unibrow').middleware())

[expressjs]: http://expressjs.com
[Unicode Consortium]: http://www.unicode.org/Public/UNIDATA/

## License

The unicode codepoints file (codepoints.json) comes from data published by the
[Unicode Consortium][]. The remainder of the code here is available under the
following license:

(The MIT License)

Copyright (c) 2011 Leif Johnson <leif@leifjohnson.net>

Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the 'Software'), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
the Software, and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
